neotinia_maculata2.jpg=Orchis intacta.\
Yellowish flowers have unspotted leaves, these are in Rhodes & Ireland.\

neotinia_maculata.jpg=Orchis intacta.\
These can be seen throughout the Med.-Atlantic.\

